Infra APIGit

Commit and push

Commits and pushes changes to a git repository

POST/api/v1/vms/{vm_id}/git/commit-push

Commits and pushes changes to a git repository

Authorization

BearerAuth
AuthorizationBearer <token>

Supabase JWT Bearer token

In: header

Path Parameters

vm_id*string

VM ID

Request Body

application/json

Options

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/vms/string/git/commit-push" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "string",  "stderr": "string",  "stdout": "string",  "success": true}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}